print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricegrapes = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local grapesHudFile = "Paletten/hud_fill_grapes.dds"
	local grapesHudFileSmall = "Paletten/hud_fill_grapes_smal.dds"
	
    local grapesFilType = g_fillTypeManager:addFillType("GRAPES", g_i18n:getText("grapes"), true, pricegrapes * 2.1, 0.00045, math.rad(10), grapesHudFile, grapesHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasgrapes=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasgrapes=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "GRAPES" then
		hasgrapes=true
	end;
		
end;

		if hasmaize and not hasgrapes then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("GRAPES")
		local price = g_fillTypeManager:getFillTypeByName("GRAPES").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("GRAPES")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)